com.ihr.xbrl.manage

## Class DatabaseURIResolverFactory

- java.lang.Object
- - com.ihr.xbrl.manage.DatabaseURIResolverFactory

- All Implemented Interfaces:
    HasCreateDTSUriResolver

      public class DatabaseURIResolverFactory
      extends java.lang.Object
      implements HasCreateDTSUriResolver

  This class is a factory for DatabaseURIResolvers. It is required to provide some information about the initial parameters for the creation of the DatabaseURIResolver (the Hibernate Session) and then the factory can operate.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseURIResolverFactory(org.hibernate.Session session)` This constructor requires a Database Session (Hibernate Session) and then the factory instance can be set to the DTSContainer.DTS_RESOLVER parameter

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createAndRegisterDTSUriResolver(DTSContainer dts)` Implementors of this class should create the URIResolver instance and call the method installDTSURIResolver(URIResolver ) on the DTSContainer passed in as a parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseURIResolverFactory

          public DatabaseURIResolverFactory(org.hibernate.Session session)

      This constructor requires a Database Session (Hibernate Session) and then the factory instance can be set to the DTSContainer.DTS_RESOLVER parameter
      Parameters:
        `session` - the session

  - ### Method Detail

    - #### createAndRegisterDTSUriResolver

          public void createAndRegisterDTSUriResolver(DTSContainer dts)

      Description copied from interface: `HasCreateDTSUriResolver`
      Implementors of this class should create the URIResolver instance and call the method installDTSURIResolver(URIResolver ) on the DTSContainer passed in as a parameter.
      Specified by:
        `createAndRegisterDTSUriResolver` in interface `HasCreateDTSUriResolver`
      Parameters:
        `dts` - the dts